API

Update promo code

POST/api/crm/v2/special_offers_promo_codes.updatev2
operationId: specialOffersPromoCodes.update

Authorization

api-token + language + role

Query parameters

branch_idinteger

Branch where the request is executed. A partner with multiple branches must provide this parameter; otherwise, the request will fail. For a partner with a single branch, the server will assign it automatically.

Example: 8778

special_offer_idintegerrequired

Example: 1

Request body application/json

object
idintegerrequired

Example: 1

codestringrequired

Promo code; multiple promo codes can be passed separated by commas

Example: CODE1940

countinteger

Quantity

Example: 2

date_availablestring (DataTimeFormat)

Example: 17:45 06/05/2024

date_expirationstring (DataTimeFormat)

Example: 17:45 06/05/2024

bonuses_sumnumber

Example: 3

bonuses_validityinteger

Bonuses validity period in days; 0 — unlimited

Example: 3

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description